<?php

namespace Ivoz\Provider\Domain\Service\Domain;

use Ivoz\Core\Domain\Service\LifecycleServiceCollectionInterface;
use Ivoz\Core\Domain\Service\LifecycleServiceCollectionTrait;
use Ivoz\Provider\Domain\Service\Domain\DomainLifecycleEventHandlerInterface;

/**
 * @codeCoverageIgnore
 */
class DomainLifecycleServiceCollection implements LifecycleServiceCollectionInterface
{
    use LifecycleServiceCollectionTrait;

    public static $bindedBaseServices = [
        "post_persist" =>
        [
            \Ivoz\Ast\Domain\Service\PsEndpoint\UpdateByDomain::class => 10,
        ],
        "on_commit" =>
        [
            \Ivoz\Provider\Infrastructure\Domain\Service\Domain\SendUsersDomainReloadRequest::class => 200,
        ],
    ];

    /**
     * @return void
     */
    protected function addService(string $event, DomainLifecycleEventHandlerInterface $service)
    {
        $this->services[$event][] = $service;
    }
}
