<?php

namespace Ivoz\Provider\Infrastructure\Persistence\Doctrine;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Ivoz\Provider\Domain\Model\Domain\DomainRepository;
use Ivoz\Provider\Domain\Model\Domain\DomainInterface;
use Ivoz\Provider\Domain\Model\Domain\Domain;
use Symfony\Bridge\Doctrine\RegistryInterface;

/**
 * DomainDoctrineRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class DomainDoctrineRepository extends ServiceEntityRepository implements DomainRepository
{
    public function __construct(RegistryInterface $registry)
    {
        parent::__construct($registry, Domain::class);
    }

    /**
     * @param string $domain
     * @return DomainInterface | null
     */
    public function findOneByDomain($domain)
    {
        /** @var DomainInterface $response */
        $response = $this->findOneBy([
            'domain' => $domain
        ]);

        return $response;
    }
}
