<?php

namespace Ivoz\Provider\Infrastructure\Persistence\Doctrine;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Ivoz\Provider\Domain\Model\Domain\DomainInterface;
use Ivoz\Provider\Domain\Model\Terminal\TerminalRepository;
use Ivoz\Provider\Domain\Model\Terminal\TerminalInterface;
use Ivoz\Provider\Domain\Model\Terminal\Terminal;
use Symfony\Bridge\Doctrine\RegistryInterface;

/**
 * TerminalDoctrineRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class TerminalDoctrineRepository extends ServiceEntityRepository implements TerminalRepository
{
    public function __construct(RegistryInterface $registry)
    {
        parent::__construct($registry, Terminal::class);
    }

    /**
     * @param string $name
     * @param DomainInterface $domain
     * @return TerminalInterface | null
     */
    public function findOneByNameAndDomain(string $name, DomainInterface $domain)
    {
        /** @var TerminalInterface $response */
        $response = $this->findOneBy([
            'name' => $name,
            'domain' => $domain
        ]);

        return $response;
    }
}
